/***********************************************
 esFunzioneConValoriDiRitornoMultipli.cpp

   Scrivere la fuzione "calcolaStatistiche" che, dati tre interi in ingresso,
   restituisca tre valori: il minimo, il massimo, ed il valor medio
   (quest'ultimo deve essere un valore reale, non intero)

   Esempio:

   Nel caso vengano inseriti gli interi 3 6 8
   l'uscita sara':

   Il minimo e': 3
   Il massimo e': 8
   La media e': 5.66667


   *** COMMENTO ***
   Questo esercizio mostra che per ritornare piu' di un valore
   si puo' utilizzare una funzione a ritorno void, in cui
   i tre parametri di uscita vengono aggiunti come argomenti formali
   passati per riferimento.

   Una soluzione alternativa potrebbe essere quella di ritornare
   per valora una struttura dati, ma questo lo vedremo piu' avanti
   quando vedremo le funzioni.

   Ulteriore alternativa, meno pulita per il problema in esame,
   sarebbe quella di memorizzare i tre risultati in un vettore
   di double (lo vedremo piu' avanti quando faremo i vettori).

 
*****************************************************************/

#include <iostream>
using namespace std;

void calcolaStatistiche(int a, int b, int c, int &min, int &max, double &avg){
    min = a < b ? (a < c ? a : c) : (b < c ? b : c);
    max = a > b ? (a > c ? a : c) : (b > c ? b : c);
    avg = double(a+b+c)/3.0;
    return; // istruzione return opzionale, essendo una funzione void 
}

int main(){
    int v1, v2, v3;
    int m, M;
    double media;
    cout << "Inserisci tre interi: " << endl;
    cin >> v1 >> v2 >> v3;
    calcolaStatistiche(v1, v2, v3, m, M, media);
    cout << "Il minimo e': " << m << endl;
    cout << "Il massimo e': " << M << endl;
    cout << "La media e': " << media << endl;
    return 0;
}

